# ``twisted`.`python`.`zipstream``

module documentation
(source)

An incremental approach to unzipping files. This allows you to unzip a little bit of a file at a time, which means you can report progress as a file unzips.

Class | `ChunkingZipFile` | A `zipfile.ZipFile` object which, with `readfile`, also gives you access to a file-like object for each entry.
Class | `DeflatedZipFileEntry` | File-like object used to read a deflated entry in a ZipFile
Class | `ZipFileEntry` | File-like object used to read an uncompressed entry in a ZipFile
Function | `countFileChunks` | Count the number of chunks that will result from the given `ZipInfo`.
Function | `countZipFileChunks` | Predict the number of chunks that will be extracted from the entire zipfile, given chunksize blocks.
Function | `unzipIterChunky` | Return a generator for the zipfile. This implementation will yield after every chunksize uncompressed bytes, or at the end of a file, whichever comes first.
Constant | `DIR_BIT` | Undocumented
Class | `_FileEntry` | Abstract superclass of both compressed and uncompressed variants of file-like objects within a zip archive.

def countFileChunks(zipinfo, chunksize): (source)
Count the number of chunks that will result from the given `ZipInfo`.

Parameters
zipinfo | a `zipfile.ZipInfo` instance describing an entry in a zip archive to be counted.
chunksize | Undocumented
Returns
`int` | the number of chunks present in the zip file. (Even an empty file counts as one chunk.)

def countZipFileChunks(filename, chunksize): (source)
Predict the number of chunks that will be extracted from the entire zipfile, given chunksize blocks.
def unzipIterChunky(filename, directory='.', overwrite=0, chunksize=4096): (source)

Return a generator for the zipfile. This implementation will yield after every chunksize uncompressed bytes, or at the end of a file, whichever comes first.

The value it yields is the number of chunks left to unzip.

DIR_BIT: `int` = (source)

Undocumented

Value

    16